{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "apiVersion": {
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "spec": {
      "properties": {
        "autoAllocateBlocks": {
          "type": "boolean"
        },
        "maxBlocksPerHost": {
          "maximum": 2147483647,
          "minimum": 0,
          "type": "integer"
        },
        "strictAffinity": {
          "type": "boolean"
        }
      },
      "required": [
        "autoAllocateBlocks",
        "strictAffinity"
      ],
      "type": "object"
    }
  },
  "type": "object"
}
